# .gitea/workflows/docker-build-push.yml
name: Build and Push Docker Image

on:
  push:
    branches:
      - master

  workflow_dispatch:

jobs:
  build-and-push:
    runs-on: ubuntu-latest

    steps:
      - name: Checkout repository
        uses: actions/checkout@v4

      - name: Set up Docker Buildx
        uses: docker/setup-buildx-action@v3

      - name: Log in to Gitea Container Registry
        uses: docker/login-action@v3
        with:
          registry: gitea.example.com
          username: ${{ secrets.USER }}
          password: ${{ secrets.TOKEN }}

      - name: Extract Tag Name (if any)
        id: get_tag
        run: |
          echo "GIT_TAG=${GITHUB_REF##*/}" >> $GITHUB_ENV

      - name: Build and Push Docker Image
        uses: docker/build-push-action@v5
        with:
          context: ./nvim/tools
          push: true
          platforms: linux/amd64,linux/arm64
          tags: |
            https://gitea.setlock.net/shaun/dotfiles:latest
            https://gitea.setlock.net/shaun/dotfiles:${{ env.GIT_TAG }}
